package models

//type Position int
//
//const (
//	TOPLEFT Position = iota + 1
//	TOPRIGHT
//	TOPMIDDLE
//	LEFTMIDDLE
//	LEFTBOTTOM
//	BOTTOMMIDDLE
//	RIGHTBOTTOM
//	RIGHTMIDDLE
//	CENTER
//)

type Position struct {
	X int `json:"x,omitempty" bson:"x"`
	Y int `json:"y,omitempty" bson:"y"`
}

type Template struct {
	Id                interface{} `json:"id" bson:"_id,omitempty"`
	Logo              string      `json:"logo,omitempty" bson:"logo"`                             // 海报图片上展示的logo，非 应用logo
	Image             string      `json:"image,omitempty" bson:"image"`                           //模版展示的图片
	Brand             string      `json:"brand,omitempty" bson:"brand"`                           // 海报图片上展示的文字，非 应用标题
	Watermark         string      `json:"watermark,omitempty" bson:"watermark"`                   //商家 的 水印
	WatermarkPosition Position    `json:"watermark_position,omitempty" bson:"watermark_position"` //商家 的 水印位置
	Platform          string      `json:"platform,omitempty" bson:"platform"`                     //平台 的 水印
	PlatformPosition  Position    `json:"platform_position,omitempty" bson:"platform_position"`
	Prompt            string      `json:"prompt" bson:"prompt"`
}
